Commit b11f231d authored by Daniel Bissani Furlin's avatar Daniel Bissani Furlin

Merge from develop

parents 6a6fc6a0 e84b0820
chroot
chroot-old
chroot-ultima.tar.gz
overlay
kernel
*.swp
iso/**/*.iso
src/preseed/.preseed.bkp
initrd*
initrd
initrd.lz
chroot*.tar.gz
packages-needed
base
todos.txt
vmlinuz-*-generic
initrd.img-*-generic
......@@ -21,7 +21,7 @@ function log() {
}
initChroot() {
set -x
#set -x
local chrootdir="$1"
local logfile="$2"
......@@ -55,12 +55,13 @@ initChroot() {
}
closeChroot() {
#set -x
local chrootdir="$1"
local logfile="$2"
umount --lazy "${chrootdir}/etc/resolv.conf"
umount --lazy "${chrootdir/$logfile"
umount --lazy "${chrootdir}/{dev/pts,proc,sys,dev}"
umount --lazy "${chrootdir}/${logfile}"
umount --lazy ${chrootdir}/{dev/pts,proc,sys,dev}
}
function create_stub() {
......@@ -77,22 +78,24 @@ EOF
}
addToChrootFile() {
local chrootdir="$1"
#set -x
local chrootfile="$1"
local cmd="$2"
if [ ! -f "$chrootdir/tmp/$SCRIPT_NAME" ]; then
create_stub "$chrootdir/tmp/$SCRIPT_NAME"
if [ ! -f "$chrootfile" ]; then
create_stub "$chrootfile"
fi
echo $cmd >> "$chrootdir/tmp/$SCRIPT_NAME"
echo $cmd >> $chrootfile
#read a
}
execChroot() {
set -x
#set -x
local chrootdir="$1"
#read a
[ ! -x "$chrootdir/tmp/$SCRIPT_NAME" ] && chmod +x "$chrootdir/tmp/$SCRIPT_NAME"
read a
chroot "$chrootdir" "/tmp/$SCRIPT_NAME"
rm -rf "$chrootdir/tmp/$SCRIPT_NAME" &>/dev/null
......
SHORTNAME=le6
TMP=/dev/shm/${_DIST}
CHROOTDIR=/dev/shm/create-iso
CHROOTFILE=${TMP}/todo.sh
DISTRO=Linux_Educacional_6
TMP=/home/${SUDO_USER}/${_DIST}
CHROOTDIR=/home/${SUDO_USER}/overlay
TMPFS=/home/${SUDO_USER}/tmp
CHROOTFILE=${CHROOTDIR}/tmp/exec.sh
DISTRO=Linux_Educacional_6.1.0
DPLIST=${PREFIX}/pkg-list/${_DIST}/dependencies.list
INSTLIST=${PREFIX}/pkg-list/${_DIST}/install.list
ISOLINUX=${PREFIX}/src/isolinux/
ISOLINUX=${PREFIX}/src/isolinux
MOUNTLIST=${TMP}/mountlist
OURSOURCESLIST=${PREFIX}/sources-list/${_DIST}/${SHORTNAME}.list
RMDSKT=${PREFIX}/pkg-list/${_DIST}/remove-desktop.list
RMLIST=${PREFIX}/pkg-list/${_DIST}/remove.list
REPOPKGS=${PREFIX}/pkg-list/${_DIST}/repo-local.list
SCRIPTSDIR=${PREFIX}/scripts-enabled/${_DIST}
SOURCESLISTDEFAULT=${PREFIX}/sources-list/${_DIST}/default.list
LOG_PATH="/var/log"
_HELP=false
_DIST=""
_ARCH="amd64"
_REPO="stable"
......@@ -5,7 +5,7 @@
#
# This file is part of create-iso
#
# le6-conf is free software; you can redistribute it and/or
# create-iso is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 3
# of the License, or (at your option) any later version.
......@@ -24,36 +24,80 @@ if [ "$(id -u)" != "0" ]; then
echo You must have more power to run this script
exit -1
fi
if [ $# -ne 1 ]; then
echo "Usage: $0 [dist]"
export PREFIX=$(pwd)
source ${PREFIX}/conf/pre.conf \
|| log ERROR "Preconfiguration file not found"
while true; do
case "$1" in
-h | --help ) _HELP=true; shift ;;
-d | --distro ) _DIST=$2; shift; shift ;;
-a | --arch ) _ARCH=$2; shift; shift ;;
-r | --repo ) _REPO=$2; shift; shift ;;
-* ) echo "Unrecognized option. Try with --help."; exit 1 ;;
* ) break ;;
esac
done
if [ ${_HELP} = true ]; then
echo "Usage: $0 [OPTION] [ARGUMENT]..."
echo ""
echo "Examples:"
echo " sudo $0 --distro le6/testing # Generate default arch (amd64) le6 iso image"
echo " sudo $0 -d le6/testing -a i386 # Generate i386 architecture le6 iso image"
echo ""
echo "Options:"
echo " -h, --help Show this help list"
echo " -d, --distro [DIST] Select iso image's distro"
echo " -a, --arch [amd64 | i386] Select iso image's architecture"
echo " -r, --repo [stable | testing | unstable] Select remote repository codename to download packages from"
exit 2
fi
if [ -z ${_DIST} ]; then
echo "No distro specified. Try with --help."
exit 1
fi
if [ "$1" == '--help' ]; then
echo "Usage: $0 [dist]"
exit 2
if [ ${_ARCH} != "amd64" -a ${_ARCH} != "i386" ]; then
echo "Unrecognized architecture. Try with --help."
exit 1
fi
_DIST=$1
if [ ${_REPO} != "stable" -a ${_REPO} != "testing" -a ${_REPO} != "unstable" ]; then
echo "Unrecognized remote repository codename. Try with --help."
exit 1
fi
if [ "$(id -u)" != "0" ]; then
echo "You must have more power to run this script. Are you root?"
exit -1
fi
export PREFIX=$(pwd)
source "${PREFIX}/conf/$_DIST/create-iso.conf" \
|| log ERROR "configuration file not found for dist: \"${_DIST}\""
source common.sh
TIME_STAMP="`date +'%Y-%m-%dT%H:%M:%S'`"
export LOG_FILE="${LOG_PATH}/create-iso-${TIME_STAMP}.log"
mkdir -p ${TMP}
source common.sh
source lib/mktmpfs.sh
source lib/overlay.sh
apt-get install isolinux syslinux squashfs-tools genisoimage xorriso \
|| log ERROR "Failed to install basic tools: \"${_DIST}\""
mountTmpfs ${TMPFS}
mountOverlay ${CHROOTDIR} ${TMPFS}
for script in `ls ${SCRIPTSDIR}`; do
if [ -x "$SCRIPTSDIR/$script" ] && egrep -q '^[0-9]{2}-[A-Za-z]+' <<< "$script"; then
echo "Running `basename $script`..."
if ! "${SCRIPTSDIR}/${script}"\
${_DIST} \
${_ARCH} \
${_REPO} \
${CHROOTDIR} \
${CHROOTFILE} \
${DISTRO} \
......@@ -68,6 +112,8 @@ for script in `ls ${SCRIPTSDIR}`; do
${SHORTNAME} \
${SOURCESLISTDEFAULT} \
${TMP} \
${TMPFS} \
${REPOPKGS} \
${LOG_FILE}; then
log ERROR "While running \"${SCRIPTSDIR}/${script}\""
cleanup "$CHROOTDIR" "$TMP"
......@@ -75,7 +121,11 @@ for script in `ls ${SCRIPTSDIR}`; do
fi
if [[ "$script" =~ [0-9]+\-chroot\.* ]]; then
initChroot "${CHROOTDIR}" "${LOG_FILE}"
execChroot "$CHROOTDIR"
#read a
closeChroot "${CHROOTDIR}" "${LOG_FILE}"
#read a
fi
fi
done
......@@ -88,6 +138,8 @@ xorriso -as mkisofs -isohybrid-mbr /usr/lib/ISOLINUX/isohdpfx.bin -c isolinux/bo
log ERROR "Failed to generate iso image."
cd -
cleanup "$CHROOTDIR" "$TMP"
#cleanTmpFiles
#umountOverlay ${CHROOTDIR} ${TMPFS}
#umountTmpfs ${TMPFS}
exit 0
#!/bin/bash
#
# Copyright (C) 2017 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
#
# This file is part of create-iso
#
# create-iso is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 3
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.
mountTmpfs() {
local TMPFS=$1
if mount | grep -q ${TMPFS}; then
return 1
fi
mkdir -p ${TMPFS}
if [ ! -d "${TMPFS}" ]; then
echo "overlay path: '${TMPFS}' has not been found."
exit 1
fi
mount -t tmpfs tmpfs -o suid,dev,size=6291456k ${TMPFS}
}
umountTmpfs() {
local TMPFS=$1
if mountpoint -q ${TMPFS}; then
umount ${TMPFS}
fi
rm -r ${TMPFS}
}
#!/bin/bash
#
# Copyright (C) 2017 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
#
# This file is part of create-iso
#
# create-iso is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 3
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.
mountOverlay() {
local CHROOTDIR=$1
local TMPFS=$2
local PREFIX=$(pwd)
mkdir -p "${TMPFS}/upper"
mkdir -p "${TMPFS}/work"
mkdir -p ${CHROOTDIR}
if [ ! -d "${TMPFS}" ]; then
echo "overlay path: '${TMPFS}' has not been found."
exit 1
fi
if [ ! -d "${TMPFS}/upper" ]; then
echo "upperdir path: '${TMPFS}/upper' has not been found."
exit 1
fi
if [ ! -d "${TMPFS}/work" ]; then
echo "workdir path: '${TMPFS}/work' has not been found."
exit 1
fi
if [ ! -d "${CHROOTDIR}" ]; then
echo "merge point path: '${CHROOTDIR}' has not been found."
exit 1
fi
if [ ! -d "${PREFIX}/chroot" ]; then
echo "chroot path: '${PREFIX}/chroot' has not been found."
exit 1
fi
if ! mountpoint -q ${CHROOTDIR}; then
if ! mount -t overlay overlay -o rw,lowerdir="${PREFIX}/chroot",upperdir="${TMPFS}"/upper,workdir="${TMPFS}"/work "${CHROOTDIR}"; then
echo "Overlay could not be mounted:" >&2
echo " lowerdir: '${PREFIX}/chroot'" >&2
echo " upperdir: '${TMPFS}/upper'" >&2
echo " workdir: '${TMPFS}/work'" >&2
echo "mount point: '${CHROOTDIR}'" >&2
exit 1
fi
fi
}
umountOverlay() {
local CHROOTDIR=$1
local TMPFS=$2
if mountpoint -q ${CHROOTDIR}; then
umount ${CHROOTDIR}
fi
rm -r ${TMPFS}/{upper,work}
}
#le-live-all
#le-all
#linux-generic
#plymouth-x11
#plymouth-theme-le-logo
#numlockx
#webbrowser-app
#xserver-xorg
linux-generic-hwe-16.04
xserver-xorg-hwe-16.04
#!/usr/bin/env bash
set -x
#set -x
_DIST=$1
PREFIX=$PWD
......
......@@ -5,7 +5,7 @@
#
# This file is part of create-iso
#
# le6-conf is free software; you can redistribute it and/or
# create-iso is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 3
# of the License, or (at your option) any later version.
......@@ -21,20 +21,24 @@
# USA.
_DIST=$1
CHROOTDIR=$2
CHROOTFILE=$3
DISTRO=$4
DPLIST=$5
INSTLIST=$6
ISOLINUX=$7
MOUNTLIST=$8
OURSOURCESLIST=$9
RMDSKT=${10}
RMLIST=${11}
SCRIPTSDIR=${12}
SHORTNAME=${13}
SOURCESLISTDEFAULT=${14}
TMP=${15}
_ARCH=$2
_REPO=$3
CHROOTDIR=$4
CHROOTFILE=$5
DISTRO=$6
DPLIST=$7
INSTLIST=$8
ISOLINUX=$9
MOUNTLIST=${10}
OURSOURCESLIST=${11}
RMDSKT=${12}
RMLIST=${13}
SCRIPTSDIR=${14}
SHORTNAME=${15}
SOURCESLISTDEFAULT=${16}
TMP=${17}
TMPFS=${18}
REPOPKGS=${19}
PREFIX=$PWD
source ${PREFIX}/common.sh
......
......@@ -5,7 +5,7 @@
#
# This file is part of create-iso
#
# le6-conf is free software; you can redistribute it and/or
# create-iso is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 3
# of the License, or (at your option) any later version.
......@@ -20,23 +20,27 @@
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.
set -x
#set -x
_DIST=$1
CHROOTDIR=$2
CHROOTFILE=$3
DISTRO=$4
DPLIST=$5
INSTLIST=$6
ISOLINUX=$7
MOUNTLIST=$8
OURSOURCESLIST=$9
RMDSKT=${10}
RMLIST=${11}
SCRIPTSDIR=${12}
SHORTNAME=${13}
SOURCESLISTDEFAULT=${14}
TMP=${15}
_ARCH=$2
_REPO=$3
CHROOTDIR=$4
CHROOTFILE=$5
DISTRO=$6
DPLIST=$7
INSTLIST=$8
ISOLINUX=$9
MOUNTLIST=${10}
OURSOURCESLIST=${11}
RMDSKT=${12}
RMLIST=${13}
SCRIPTSDIR=${14}
SHORTNAME=${15}
SOURCESLISTDEFAULT=${16}
TMP=${17}
TMPFS=${18}
REPOPKGS=${19}
PREFIX=$PWD
source ${PREFIX}/common.sh
......@@ -58,7 +62,6 @@ if chroot "$CHROOTDIR" mount | grep --quiet --only-matching 'on /proc'; then
umount "$CHROOTDIR/proc"
fi
read a
mksquashfs $CHROOTDIR ${TMP}/image/casper/filesystem.squashfs -b 1M -no-recovery -processors $(nproc) ||\
log ERROR "Failed to compress ${CHROOTDIR}."
(cd ${TMP}/image && find . -type f -print0 | xargs -0 md5sum | grep -v "\./md5sum.txt" > md5sum.txt) ||\
......
#!/usr/bin/env bash
#
# Copyright (C) 2017 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
#
# This file is part of create-iso
#
# create-iso is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 3
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.
set -e
_DIST=$1
_ARCH=$2
_REPO=$3
CHROOTDIR=$4
CHROOTFILE=$5
DISTRO=$6
DPLIST=$7
INSTLIST=$8
ISOLINUX=$9
MOUNTLIST=${10}
OURSOURCESLIST=${11}
RMDSKT=${12}
RMLIST=${13}
SCRIPTSDIR=${14}
SHORTNAME=${15}
SOURCESLISTDEFAULT=${16}
TMP=${17}
TMPFS=${18}
REPOPKGS=${19}
PREFIX=$PWD
source ${PREFIX}/common.sh
mount --bind "/etc/resolv.conf" "${CHROOTDIR}/etc/resolv.conf"
fingerprint=$(gpg --list-keys --with-colons 'C3SL Live' | grep -m 1 'fpr' | cut -d':' -f10)
if test -z ${fingerprint}; then
gpg --batch --no-tty --gen-key ${PREFIX}/src/gpg-key/gen-key-script
fingerprint=$(gpg --list-keys --with-colons 'C3SL Live' | grep -m 1 'fpr' | cut -d':' -f10)
fi
cp -Ra ${PREFIX}/src/local-repository/ ${PREFIX}/repo/
sed -i "s/##ARCH##/ ${_ARCH}/" ${PREFIX}/repo/conf/distributions
sed -i "s/##GPGKEY##/ ${fingerprint}/" ${PREFIX}/repo/conf/distributions
sed -i "s/##CODENAME##/ ${_REPO}/" ${PREFIX}/repo/conf/distributions
chroot ${CHROOTDIR} apt-get clean
chroot ${CHROOTDIR} apt-get --download-only --yes install $(cat ${REPOPKGS} | grep -v '^#' | tr '\n' ' ')
reprepro --basedir ${PREFIX}/repo/ includedeb ${_REPO} ${CHROOTDIR}/var/cache/apt/archives/*.deb
chroot ${CHROOTDIR} apt-get clean
mv repo/{dists,pool} ${TMP}/image/
rm -rf ${PREFIX}/repo/
gpg --armor --export 'C3SL Live' > ${CHROOTDIR}/tmp/public.key
chroot ${CHROOTDIR} apt-key add /tmp/public.key
rm ${CHROOTDIR}/tmp/public.key
umount "${CHROOTDIR}/etc/resolv.conf"
exit 0
......@@ -5,7 +5,7 @@
#
# This file is part of create-iso
#
# le6-conf is free software; you can redistribute it and/or
# create-iso is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 3
# of the License, or (at your option) any later version.
......@@ -20,33 +20,35 @@
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.
set -x
#set -x
type addToChrootFile >/dev/null 2>&1 || . common.sh
#_DIST=$1
CHROOTDIR=$2
#CHROOTFILE=$3
#DISTRO=$4
DPLIST=$5
#INSTLIST=$6
#ISOLINUX=$7
#MOUNTLIST=$8
#OURSOURCESLIST=$9
#RMDSKT=${10}
#RMLIST=${11}
#SCRIPTSDIR=${12}
#SHORTNAME=${13}
#SOURCESLISTDEFAULT=${14}
#TMP=${15}
#LOG_FILE=${16}
#PREFIX=$PWD
_DIST=$1
_ARCH=$2
_REPO=$3
CHROOTDIR=$4
CHROOTFILE=$5
DISTRO=$6
DPLIST=$7
INSTLIST=$8
ISOLINUX=$9
MOUNTLIST=${10}
OURSOURCESLIST=${11}
RMDSKT=${12}
RMLIST=${13}
SCRIPTSDIR=${14}
SHORTNAME=${15}
SOURCESLISTDEFAULT=${16}
TMP=${17}
TMPFS=${18}
REPOPKGS=${19}
PREFIX=$PWD
addToChrootFile $CHROOTDIR 'export PATH=/fakebin:${PATH}'
#TODO: CORRIGIR ERRO COM PACOTE UBIQUITY-FRONTEND-KDE UBIQUITY-UBUNTU-ARTWORK
addToChrootFile $CHROOTDIR 'export DEBIAN_FRONTEND=noninteractive'
addToChrootFile $CHROOTDIR "apt-get --quiet update"
addToChrootFile $CHROOTDIR "apt-get --quiet --assume-yes install $(cat ${DPLIST} | grep --invert-match '^#')"
addToChrootFile $CHROOTFILE 'export PATH=/fakebin:${PATH}'
cat ${DPLIST} | grep -v '^#' | tr '\n' ' '
addToChrootFile $CHROOTFILE "export PATH='/fakebin:${PATH}'"
addToChrootFile $CHROOTFILE "export DEBIAN_FRONTEND=noninteractive"
addToChrootFile $CHROOTFILE "apt-get update && apt-get -q -y install $(cat ${DPLIST} | grep -v '^#' | tr '\n' ' ')"
exit 0
......@@ -5,7 +5,7 @@
#
# This file is part of create-iso
#
# le6-conf is free software; you can redistribute it and/or
# create-iso is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 3
# of the License, or (at your option) any later version.
......@@ -20,29 +20,34 @@
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.
set -x
#set -x
_DIST=$1
CHROOTDIR=$2
CHROOTFILE=$3
DISTRO=$4
DPLIST=$5
INSTLIST=$6
ISOLINUX=$7
MOUNTLIST=$8
OURSOURCESLIST=$9
RMDSKT=${10}
RMLIST=${11}
SCRIPTSDIR=${12}
SHORTNAME=${13}
SOURCESLISTDEFAULT=${14}
TMP=${15}
_ARCH=$2
_REPO=$3
CHROOTDIR=$4
CHROOTFILE=$5
DISTRO=$6
DPLIST=$7
INSTLIST=$8
ISOLINUX=$9
MOUNTLIST=${10}
OURSOURCESLIST=${11}
RMDSKT=${12}
RMLIST=${13}
SCRIPTSDIR=${14}
SHORTNAME=${15}
SOURCESLISTDEFAULT=${16}
TMP=${17}
TMPFS=${18}
REPOPKGS=${19}
PREFIX=$PWD
source ${PREFIX}/common.sh
addToChrootFile $CHROOTDIR "export PATH='/fakebin:${PATH}'"
addToChrootFile $CHROOTDIR "export DEBIAN_FRONTEND=noninteractive"
addToChrootFile $CHROOTDIR "apt-get update && apt-get -q -y -t testing install $(cat ${INSTLIST} | grep -v '^#')"
addToChrootFile $CHROOTFILE "export PATH='/fakebin:${PATH}'"
addToChrootFile $CHROOTFILE "export DEBIAN_FRONTEND=noninteractive"
#addToChrootFile $CHROOTFILE "apt-get update && apt-get -q -y -t ${_REPO} install le-live-all"
#addToChrootFile $CHROOTFILE "apt-get update && apt-get -q -y -t ${_REPO} install $(cat ${INSTLIST} | grep -v '^#' | tr '\n' ' ')"
exit 0
......@@ -5,7 +5,7 @@
#
# This file is part of create-iso
#
# le6-conf is free software; you can redistribute it and/or
# create-iso is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 3
# of the License, or (at your option) any later version.
......@@ -21,39 +21,42 @@
# USA.
_DIST=$1
CHROOTDIR=$2
CHROOTFILE=$3
DISTRO=$4
DPLIST=$5
INSTLIST=$6
ISOLINUX=$7
MOUNTLIST=$8
OURSOURCESLIST=$9
RMDSKT=${10}
RMLIST=${11}
SCRIPTSDIR=${12}
SHORTNAME=${13}
SOURCESLISTDEFAULT=${14}
TMP=${15}
_ARCH=$2
_REPO=$3
CHROOTDIR=$4
CHROOTFILE=$5
DISTRO=$6
DPLIST=$7
INSTLIST=$8
ISOLINUX=$9
MOUNTLIST=${10}
OURSOURCESLIST=${11}
RMDSKT=${12}
RMLIST=${13}
SCRIPTSDIR=${14}